<?php function glatitudehistory_settings($authUrl, $redirectUrl) { ?>

	<script type="text/javascript">

		var $j = jQuery.noConflict();

		$j(function(){

			$j('#replace_css').click(function() {
				$j('#custom_css').val("<?php echo GoogleLatitudeHistory::DEFAULT_CSS; ?>");
				alert("Custom CSS has been replaced with the Default CSS");
			});
	
			$j('#toggle_response').click(function() {
				if( $j('#json_response').css('display') == 'none') {
					$j('#toggle_response').text('hide latitude response');
					$j('#json_response').show();
				} else {
					$j('#toggle_response').text('see latitude response');
					$j('#json_response').hide();
				}
			});
	
			$j('#use_google_api_key').click(function() {
				if( $j('#use_google_api_key').attr('checked') ) {
					$j('#google_api_key').removeAttr('readonly');
				} else {
					$j('#google_api_key').attr('readonly', true);
				}
			});

			$j('#refreshToken').click(function() {
				if( $j.trim($j('#client_id').val()).length == 0 || $j.trim($j('#client_secret').val()).length == 0) {
					alert('The client id and client secret are necessary to refresh the token. Please update your settings and refresh the token.');
					return false;
				}
			});	
		});
	</script>

	<form name="latitude_settings" id="latitudeSettings" method="post">
		<br/>
		<p>
			<input type="submit" name="submit" value="Sync Location History" />
		</p>
		<br/>
		<a href="<?php echo $authUrl ?>" id="refreshToken">Refresh OAuth Token</a>
		
		<br/><br/>
		
		<span style="color:red;">*</span> required settings
		
		<br/><br/>
		
		<fieldset>
			<legend>Google Latitude Connection Options</legend>
			<div class="divRow">
				<div class="firstCell">
					<span class="required">*</span>&nbsp;<label for="client_id">Client ID:</label>
				</div>
				<div class="secondCell">
					<input type="text" name="client_id" id="client_id" class="regular-text" value="<?php echo get_option('glatitudehistory_client_id'); ?>" />
				</div>
			</div>	

			<div class="divRow">
				<div class="firstCell">
					<span class="required">*</span>&nbsp;<label for="client_secret">Client Secret:</label>
				</div>
				<div class="secondCell">
					<input type="text" name="client_secret" id="client_secret" class="regular-text" value="<?php echo get_option('glatitudehistory_client_secret'); ?>" />	
				</div>
			</div>

			<div class="divRow">
				<div class="firstCell">
					<label for="redirect_uri">&nbsp;&nbsp;&nbsp;Redirect URI:</label>
				</div>
				<div class="secondCell">
					<input type="text" id="redirect_uri" class="regular-text" disabled="disabled" value="<?php echo $redirectUrl; ?>" />
				</div>
			</div>
			
			<div class="divRow">
				<div class="firstCell">
					&nbsp;<!-- empty -->
				</div>
				<div class="secondCell">
					<a href="https://code.google.com/apis/console/" target="_blank" style="float:right;">Google API Console</a>
				</div>
			</div>
			
			<div class="divRow">
				<div class="firstCell">
					<span class="required">*</span>&nbsp;<label for="granularity">Granularity:</label>		
				</div>
				<div class="secondCell">
					<select name="granularity" id="granularity" style="width:6em;">
						<option value="best" <?php if(get_option('glatitudehistory_granularity') == 'best') { echo 'selected="selected"'; } ?> >best</option>
						<option value="city" <?php if(get_option('glatitudehistory_granularity') == 'city') { echo 'selected="selected"'; } ?> >city</option>
					</select>
				</div>
			</div>	
		</fieldset>
		
		<fieldset>
			<legend>Database Storage Options</legend>
		
			<div class="divRow">
				<div class="firstCell">
					<label for="min_time">&nbsp;&nbsp;&nbsp;Minimum Time:</label>
				</div>
				<div class="secondCell">
					<input type="text" name="min_time" id="min_time" class="datepicker regular-text" value="<?php echo get_option('glatitudehistory_min_time'); ?>" style="width:120px;">	
				</div>
			</div>
		
			<div class="divRow">
				<div class="firstCell">
					<label for="max_time">&nbsp;&nbsp;&nbsp;Maximum Time:</label>
				</div>
				<div class="secondCell">
					<input type="text" name="max_time" id="max_time" class="datepicker regular-text" value="<?php echo get_option('glatitudehistory_max_time'); ?>" style="width:120px;">		
				</div>
			</div>
		
			<div class="divRow">
				<div class="firstCell">
					<span class="required">*</span>&nbsp;<label for="max_locations">Maximum Number of Points:</label>
				</div>
				<div class="secondCell">
					<input type="text" name="max_locations" id="max_locations" class="regular-text" value="<?php echo get_option('glatitudehistory_max_locations'); ?>" maxlength="2" style="width:4em;" />
				</div>
			</div>
		</fieldset>
		
		<fieldset>
			<legend>Google Map Options</legend>
		
			<div class="divRow">
				<div class="firstCell">
					<label for="google_api_key">&nbsp;&nbsp;&nbsp;Google API Key:</label>
				</div>
				<div class="secondCell">
					<input type="text" name="google_api_key" id="google_api_key" class="regular-text" value="<?php echo get_option('glatitudehistory_google_api_key'); ?>" <?php if(get_option('glatitudehistory_use_google_api_key') != 'true') { echo 'readonly="readonly"'; } ?>/>		
				</div>
			</div>
			
			<div class="divRow">
				<div class="firstCell">
					<label for="use_google_api_key">&nbsp;&nbsp;&nbsp;Use Google API Key:</label>
				</div>
				<div class="secondCell">
					<div style="float:left;"><input type="checkbox" name="use_google_api_key" id="use_google_api_key" value="true" <?php if(get_option('glatitudehistory_use_google_api_key') == 'true') { echo 'checked="checked"'; } ?> /></div>
					<div style="float:right;"><a href="https://code.google.com/apis/console" target="_blank">Google API Console</a></div>				
				</div>
			</div>
			
			<div class="divRow">
				<div class="firstCell">
					<label for="google_api_ssl">&nbsp;&nbsp;&nbsp;Google Maps over SSL:</label>
				</div>
				<div class="secondCell">
					<input type="checkbox" name="google_api_ssl" id="google_api_ssl" value="true" <?php if(get_option('glatitudehistory_google_api_ssl') == 'true') { echo 'checked="checked"'; } ?> />
				</div>
			</div>

			<div class="divRow">
				<div class="firstCell">
					<label for="custom_css">&nbsp;&nbsp;&nbsp;Custom CSS for Map Div:</label>
				</div>
				<div class="secondCell">
					<textarea name="custom_css" id="custom_css" class="regular-text" style="width:300px;height:70px;"><?php echo get_option('glatitudehistory_custom_css'); ?></textarea>
					<br/>
					<a href="#" id="replace_css" onclick="return false;">replace with default css</a>
				</div>
			</div>
		</fieldset>	

			
		<p>
			<input type="submit" name="submit" value="Update Options" />
		</p>
		<br/>
		<p style="font-weight:bold;">ShortCode Options for [glatitude-map /]</p>
		<ul style="list-style-type:circle;padding-left:20px;">
			<li>height = height of the map in pixels</li>
			<li>width = width of the map in pixels</li>
			<li>max = maximum number of tweetss to display on the map</li>
			<li>maptype = Google map type ( HYBRID, ROADMAP, SATELLITE, TERRAIN )</li>
			<li>mapcontrol = show map type control ( true / false )</li>
			<li>controlstyle = map control style ( DEFAULT, DROPDOWN_MENU, HORIZONTAL_BAR )</li>
			<li>zoomcontrol = show zoom controls ( true / false )</li>
			<li>zoomstyle = zoom control style ( DEFAULT, SMALL, LARGE )</li>
			<li>pancontrol = show pan control ( true / false )</li>
			<li>streetcontrol = show street view control ( true / false )</li>
			<li>haveoverview = include overview map button ( true / false )</li>
			<li>openoverview = open overview map ( true / false )</li>
			<li>disabledefaultui = disable default UI ( true / false )</li>
			<li>showpath = show path between the tweets ( true / false )</li>
			<li>pathcolor = color of the path ( HTML color codes )</li>
			<li>pathweight = weight of the path in pixels</li>
			<li>pathopacity = opacity of the path ( 0.0 - 1.0 )</li>
			<li>currentcolor = color of the marker for the latest location ( HTML color codes )</li>
			<li>pastcolor = color of the marker for past locations ( HTML color codes )</li>
			<li>openwindow = open current location's info window on load ( true / false )</li>
			<li>disablewindow = disable the markers' info window ( true / false )</li>
			<li>mintime = location timestamps must be greater then or equal to this time in mm/dd/YYYY or mm/dd/YYYY hh:ss format</li>
			<li>maxtime = location timestamps must be less then or equal to this time in mm/dd/YYYY or mm/dd/YYYY hh:ss format</li>
			<li>style = add css style to the map div, it will override the custom css in the plugin settings</li>
		</ul>
	</form>

<?php } ?>